import React from 'react';
import { GenericComponentType } from '../../types';
export type IFormControlComponentType<FormControl, Label, HelperText, ErrorMessage> = GenericComponentType<FormControl> & {
    Label: GenericComponentType<Label>;
    HelperText: GenericComponentType<HelperText>;
    ErrorMessage: GenericComponentType<ErrorMessage, {
        leftIcon?: any;
        startIcon?: any;
        rightIcon?: any;
        endIcon?: any;
    }>;
};
export declare const FormControl: IFormControlComponentType<import("@gluestack-ui/form-control/lib/typescript/types").IFormControlComponentType<Omit<Omit<import("react-native").ViewProps, "size"> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, {
    size: {
        sm: unknown;
        md: unknown;
        lg: unknown;
    };
}, import("react-native").ViewProps, "FormControl">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlError">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>, Omit<Omit<Omit<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>, "ErrorIcon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack">, "ref"> & React.RefAttributes<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
    as?: any;
}>>, Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlLabel">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlLabelText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>, Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>, Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlHelper">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>, Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlHelperText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlLabel">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>> & {
    Text: React.ForwardRefExoticComponent<Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlLabelText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>;
    Astrick: React.ForwardRefExoticComponent<Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>;
}, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlHelper">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>> & {
    Text: React.ForwardRefExoticComponent<Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlHelperText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>;
}, React.ForwardRefExoticComponent<Omit<Omit<import("react-native").ViewProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").ViewStyle>, unknown, import("react-native").ViewProps, "FormControlError">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").ViewStyle>, import("react-native").ViewProps>> & {
    as?: any;
    children?: any;
}, "animationComponentGluestack"> & React.RefAttributes<import("react-native").ViewProps>> & {
    Text: React.ForwardRefExoticComponent<Omit<Omit<import("react-native").TextProps, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<import("react-native").StyleProp<import("react-native").TextStyle>, unknown, import("react-native").TextProps, "FormControlErrorText">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<import("react-native").StyleProp<import("react-native").TextStyle>, import("react-native").TextProps>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("react-native").TextProps>>;
    Icon: React.ForwardRefExoticComponent<Omit<Omit<Omit<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>, "ErrorIcon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack">, "ref"> & React.RefAttributes<Omit<Omit<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, never> & Partial<import("@gluestack-style/react/lib/typescript/types").ComponentProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, unknown, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }, "Icon">> & Partial<import("@gluestack-style/react/lib/typescript/types").UtilityProps<false | import("react-native").ViewStyle | import("react-native").ImageStyle | import("react-native").TextStyle | import("react-native").RegisteredStyle<import("react-native").ViewStyle> | import("react-native").RecursiveArray<import("react-native").ViewStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ViewStyle>> | import("react-native").RegisteredStyle<import("react-native").TextStyle> | import("react-native").RecursiveArray<import("react-native").TextStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").TextStyle>> | import("react-native").RegisteredStyle<import("react-native").ImageStyle> | import("react-native").RecursiveArray<import("react-native").ImageStyle | import("react-native").Falsy | import("react-native").RegisteredStyle<import("react-native").ImageStyle>> | null | undefined, import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>> & {
        as?: any;
        children?: any;
    }, "animationComponentGluestack"> & React.RefAttributes<import("@gluestack-style/react/lib/typescript/types").RNProps & {
        as?: any;
    }>>>;
}>;
